package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 服务区用电属性对象 adm_area_elec_attr
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class ElecAttr extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    private String areaCode;

    /** 园区名称 */
    @Excel(name = "园区")
    private String areaName;

    /** 用电分类 */
    private Long elecType;

    /** 用电分类名称 */
    @Excel(name = "用电分类")
    private String elecTypeName;

    /** 价格编码 */
    private String priceCode;

    /** 价格描述 */
    @Excel(name = "电压等级")
    private String voltageLevel;

    /** 容（需）量标识 */
    @Excel(name = "容（需）量标识")
    private Long reqCapacityFlag;

    /** 变压器容量（千伏安·月） */
    @Excel(name = "变压器容量（千伏安·月）")
    private Long transCapacity;

    /** 最大需量（千瓦·月） */
    @Excel(name = "最大需量（千瓦·月）")
    private Long reqQuantity;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Long getElecType() {
        return elecType;
    }

    public void setElecType(Long elecType) {
        this.elecType = elecType;
    }

    public String getElecTypeName() {
        return elecTypeName;
    }

    public void setElecTypeName(String elecTypeName) {
        this.elecTypeName = elecTypeName;
    }

    public String getPriceCode() {
        return priceCode;
    }

    public void setPriceCode(String priceCode) {
        this.priceCode = priceCode;
    }

    public String getVoltageLevel() {
        return voltageLevel;
    }

    public void setVoltageLevel(String voltageLevel) {
        this.voltageLevel = voltageLevel;
    }

    public Long getReqCapacityFlag() {
        return reqCapacityFlag;
    }

    public void setReqCapacityFlag(Long reqCapacityFlag) {
        this.reqCapacityFlag = reqCapacityFlag;
    }

    public Long getTransCapacity() {
        return transCapacity;
    }

    public void setTransCapacity(Long transCapacity) {
        this.transCapacity = transCapacity;
    }

    public Long getReqQuantity() {
        return reqQuantity;
    }

    public void setReqQuantity(Long reqQuantity) {
        this.reqQuantity = reqQuantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("areaName", getAreaName())
            .append("elecType", getElecType())
            .append("priceCode", getPriceCode())
            .append("voltageLevel", getVoltageLevel())
            .append("reqCapacityFlag", getReqCapacityFlag())
            .append("transCapacity", getTransCapacity())
            .append("reqQuantity", getReqQuantity())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
